commit: c1e1badb602a20e53b7fad0d499cf7074b4b9669
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 30 14:01:11 2014 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Apr 30 14:01:11 2014 +0000
URL:
http://git.overlays.gentoo.org/gitweb/?p=proj/x11.git;a=commit;h=c1e1badb
x11-libs/libX11: Use multilib_src_compile() rather than hackery on top of
multilib_for_best_abi.
Package-Manager: portage-2.2.10
---
x11-libs/libX11/libX11-9999.ebuild | 16 ++++++++--------
1 file changed, 8 insertions(+), 8 deletions(-)
diff --git a/x11-libs/libX11/libX11-9999.ebuild
b/x11-libs/libX11/libX11-9999.ebuild
index eceaa43..369e900 100644
--- a/x11-libs/libX11/libX11-9999.ebuild
+++ b/x11-libs/libX11/libX11-9999.ebuild
@@ -41,18 +41,18 @@ src_configure() {
xorg-2_src_configure
}
-src_compile() {
+multilib_src_compile() {
# [Cross-Compile Love] Disable {C,LD}FLAGS and redefine CC= for
'makekeys'
if tc-is-cross-compiler; then
(
filter-flags -m*
- multilib_for_best_abi run_in_build_dir \
- emake -C src/util \
- CC=$(tc-getBUILD_CC) \
- CFLAGS="${CFLAGS}" \
- LDFLAGS="" \
- clean all || die
+ emake -C src/util \
+ CC=$(tc-getBUILD_CC) \
+ CFLAGS="${CFLAGS}" \
+ LDFLAGS="" \
+ clean all || die
)
fi
- xorg-2_src_compile
+
+ default
}